<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Career extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'career_code',
        'career_title',
        'slug',
        'career_description',
        'is_specific',
        'image_url'
    ];

    public function departments()
    {
        return $this->belongsToMany(Department::class);
    }

    public function personalities()
    {
        return $this->belongsToMany(Personality::class);
    }
}
